package com.chinaweal.aiccs.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 片区类型枚举
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021/12/13 10:59
 **/
@Getter
@AllArgsConstructor
public enum SliceTypeEnums {
    /**
     * 区公共片区
     */
    REGION_PUBLIC("0"),
    /**
     * 所公共片区
     */
    STATION_PUBLIC("1"),
    /**
     * 用户指定片区
     */
    SPEC_SLICE("2"),
    ;

    /**
     * 码值
     */
    private final String code;

    /**
     * 码值取枚举
     * @param code  码值
     * @return  枚举
     * @author lroyia
     * @since  2021年12月13日 14:30:49
     */
    public static SliceTypeEnums getEnumsByCode(String code){
        for (SliceTypeEnums value : SliceTypeEnums.values()) {
            if(value.getCode().equals(code)){
                return value;
            }
        }
        return null;
    }
}
